UiPath Documentation
automation-suite
2.2510
true
UiPath Automation Suite API ガイド
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。 新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。

すべての外部クライアントのリストを取得する

Identity API を使用して、Automation Suite 組織のすべての外部 OAuth クライアントのリストを、必要なスコープと応答スキーマを含めて取得します。

組織の外部クライアントの完全なリストを取得します。

API エンドポイント

GET https://{yourDomain}/{organizationName}/identity_/api/ExternalClient/{partitionGlobalId}

スコープ

次のスコープのいずれかが必要です。

  • PM.OAuthApp
  • PM.OAuthApp.Read

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、「認証方法」に記載されているいずれかの方法で認証を行ってください。

要求本文

要求本文には、外部クライアントを取得する組織 ID が含まれます。

{
  "partitionGlobalId": "<organizationId>"
}
{
  "partitionGlobalId": "<organizationId>"
}

応答

200 サクセス

指定した組織の外部クライアントのリストが正常に取得されました。

[
  {
    "name": "string",
    "id": "string",
    "secret": "string",
    "isConfidential": true,
    "redirectUri": "string",
    "resources": [
      {
        "name": "string",
        "displayName": "string",
        "description": "string",
        "scopes": [
          {
            "name": "string",
            "displayName": "string",
            "description": "string",
            "type": "user"
          }
        ]
      }
    ],
    "secrets": [
      {
        "id": 0,
        "description": "string",
        "secret": "string",
        "creationTime": "2025-07-18T12:52:37.566Z",
        "expiryTime": "2025-07-18T12:52:37.566Z"
      }
    ]
  }
]
[
  {
    "name": "string",
    "id": "string",
    "secret": "string",
    "isConfidential": true,
    "redirectUri": "string",
    "resources": [
      {
        "name": "string",
        "displayName": "string",
        "description": "string",
        "scopes": [
          {
            "name": "string",
            "displayName": "string",
            "description": "string",
            "type": "user"
          }
        ]
      }
    ],
    "secrets": [
      {
        "id": 0,
        "description": "string",
        "secret": "string",
        "creationTime": "2025-07-18T12:52:37.566Z",
        "expiryTime": "2025-07-18T12:52:37.566Z"
      }
    ]
  }
]
  • API エンドポイント
  • スコープ
  • 要求ヘッダー
  • 要求本文
  • 応答
  • 200 サクセス

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得